Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser.builders
Class RangeFilterBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.RangeFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class RangeFilterBuilder

extends Object
implements FilterBuilder

Constructor Summary
`RangeFilterBuilder()`

Method Summary
`Filter` | `getFilter(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeFilterBuilder

    public RangeFilterBuilder()

Method Detail

### getFilter

    public Filter getFilter(Element e)
                     throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD